org.richfaces.renderkit.util

## Class HandlersChain

- java.lang.Object
- - org.richfaces.renderkit.util.HandlersChain

-     public final class HandlersChain
      extends Object

  Since:
    4.0
  Author:
    Nick Belaevski

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HandlersChain(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component)`
    `HandlersChain(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component, boolean includeClientId)`
    `HandlersChain(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component, Collection<javax.faces.component.behavior.ClientBehaviorContext.Parameter> parameters)`
    `HandlersChain(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component, Collection<javax.faces.component.behavior.ClientBehaviorContext.Parameter> parameters, boolean includeClientId)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addAjaxSubmitFunction()`
    `void` | `addBehaviors(String domEventName)`
    `void` | `addBehaviors(String domEventName, String logicalEventName)`
    `void` | `addInlineHandlerAsValue(String handlerValue)`
    `void` | `addInlineHandlerFromAttribute(String attributeName)`
    `static List<javax.faces.component.behavior.ClientBehaviorContext.Parameter>` | `createParametersList(Map<String,Object> parametersMap)`
    `boolean` | `hasSubmittingBehavior()`
    `String` | `toScript()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HandlersChain

          public HandlersChain(javax.faces.context.FacesContext facesContext,
                               javax.faces.component.UIComponent component)

    - #### HandlersChain

          public HandlersChain(javax.faces.context.FacesContext facesContext,
                               javax.faces.component.UIComponent component,
                               boolean includeClientId)

    - #### HandlersChain

          public HandlersChain(javax.faces.context.FacesContext facesContext,
                               javax.faces.component.UIComponent component,
                               Collection<javax.faces.component.behavior.ClientBehaviorContext.Parameter> parameters)

    - #### HandlersChain

          public HandlersChain(javax.faces.context.FacesContext facesContext,
                               javax.faces.component.UIComponent component,
                               Collection<javax.faces.component.behavior.ClientBehaviorContext.Parameter> parameters,
                               boolean includeClientId)

  - ### Method Detail

    - #### hasSubmittingBehavior

          public boolean hasSubmittingBehavior()

    - #### addInlineHandlerAsValue

          public void addInlineHandlerAsValue(String handlerValue)

    - #### addInlineHandlerFromAttribute

          public void addInlineHandlerFromAttribute(String attributeName)

    - #### addBehaviors

          public void addBehaviors(String domEventName)

    - #### addBehaviors

          public void addBehaviors(String domEventName,
                                   String logicalEventName)

    - #### addAjaxSubmitFunction

          public void addAjaxSubmitFunction()

    - #### toScript

          public String toScript()

    - #### createParametersList

          public static List<javax.faces.component.behavior.ClientBehaviorContext.Parameter> createParametersList(Map<String,Object> parametersMap)

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.